
%global meadversion 3.18.1
%global namedversion 3.18.1.GA-redhat-2
%global meadalpha .GA_redhat_2
%global meadrel .1
%global serial 1
%global namedversionrel redhat-2

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}javassist}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.18.1.GA-redhat-2

Name:           %{?scl_prefix}javassist
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Javassist
Group:          Development/Java

%if %with mead
Source100: javassist-3.18.1.GA-redhat-2-scm-sources.zip
Source102: javassist-3.18.1.GA-redhat-2-sources.jar
Source103: javassist-3.18.1.GA-redhat-2-project-sources.tar.gz
Source104: javassist-3.18.1.GA-redhat-2-javadoc.jar
Source105: javassist-3.18.1.GA-redhat-2.jar
Source106: javassist-3.18.1.GA-redhat-2.pom
%endif

License:        MPL 1.1/LGPL 2.1/ASL 2.0
URL:            http://www.javassist.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Javassist (JAVA programming ASSISTant) makes Java bytecode manipulation
simple. It is a class library for editing bytecodes in Java.

%if %with javadoc
%package javadoc
Summary:        Javadoc for javassist
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n javassist -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/javassist-%{namedversion}.jar %{buildroot}%{_javadir}/javassist-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/javassist-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/javassist-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/javassist-%{namedversion}-sources.jar %{buildroot}%{_javadir}/javassist-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/javassist-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/javassist-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/javassist-%{namedversion} -x META-INF/\*
%{__ln_s} javassist-%{namedversion} %{buildroot}%{_javadocdir}/javassist
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc License.html Readme.html
%{_javadir}/javassist-%{namedversion}.jar
%{_javadir}/javassist.jar
%if %with javadoc
%{_javadir}/javassist-%{namedversion}-javadoc.jar
%{_javadir}/javassist-javadoc.jar
%endif
%{_javadir}/javassist-%{namedversion}-sources.jar
%{_javadir}/javassist-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/javassist-%{namedversion}
%{_javadocdir}/javassist
%endif

%changelog
* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 3.18.1-1.GA_redhat_2.1
- release

